#ifndef ITEMCOMBOBOXDELEGATE_H
#define ITEMCOMBOBOXDELEGATE_H

#include <QItemDelegate>
#include <QWidget>

class ItemComboboxDelegate : public QItemDelegate
{

    Q_OBJECT

public:
    ItemComboboxDelegate(QObject *parent = Q_NULLPTR);
    QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option,
                          const QModelIndex &index) const;
    void setEditorData(QWidget *editor, const QModelIndex &index) const;
    void setModelData (QWidget *editor, QAbstractItemModel *model,
                       const QModelIndex &index) const;
    void updateEditorGeometry(QWidget *editor, const QStyleOptionViewItem &opcion,
                              const QModelIndex &index) const;
};

#endif // ITEMCOMBOBOXDELEGATE_H
